## haskell-gstreamer 0.12.1.2

=== demo/Makefile ===

PROGS  = vorbis-play
SOURCES = VorbisPlay.hs

all: $(PROGS)

vorbis-play : VorbisPlay.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

## haskell-gstreamer 0.11.0

=== debian/changelog ===
haskell-gstreamer (0.11.0-1build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 26 Jan 2011 13:57:57 +0000

haskell-gstreamer (0.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #583261)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 26 May 2010 17:28:18 -0300

=== debian/control ===
Source: haskell-gstreamer
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
  , ghc6-prof
  , libghc6-mtl-dev
  , libghc6-mtl-prof
  , libghc6-glib-dev (>= 0.11)
  , libghc6-glib-dev (<< 0.12)
  , libghc6-glib-prof
  , libgstreamer0.10-dev
  , gtk2hs-buildtools
  , libgstreamer-plugins-base0.10-dev
Build-Depends-Indep: ghc6-doc
  , libghc6-mtl-doc
  , libghc6-glib-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/gstreamer
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gstreamer
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gstreamer

Package: libghc6-gstreamer-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgstreamer0.10-dev
  , libgstreamer-plugins-base0.10-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GStreamer open source multimedia framework
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This package provides a wrapper around the GStreamer C library. GStreamer is a
 library for constructing graphs of media-handling components. The applications
 it supports range from simple OggVorbis playback, audiovideo streaming to
 complex audio (mixing) and video (non-linear editing) processing.

Package: libghc6-gstreamer-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GStreamer open source multimedia framework; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This package provides a wrapper around the GStreamer C library. GStreamer is a
 library for constructing graphs of media-handling components. The applications
 it supports range from simple OggVorbis playback, audiovideo streaming to
 complex audio (mixing) and video (non-linear editing) processing.

Package: libghc6-gstreamer-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the GStreamer open source multimedia framework; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This package provides a wrapper around the GStreamer C library. GStreamer is a
 library for constructing graphs of media-handling components. The applications
 it supports range from simple OggVorbis playback, audiovideo streaming to
 complex audio (mixing) and video (non-linear editing) processing.

## haskell-gstreamer 0.12.0

=== debian/changelog ===
haskell-gstreamer (0.12.0-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Nov 2011 16:25:22 +0000

haskell-gstreamer (0.12.0-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@debian.org>  Thu, 09 Jun 2011 09:23:12 +0100

haskell-gstreamer (0.12.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 13:44:54 +0530

## haskell-gstreamer 0.12.1

=== debian/changelog ===
haskell-gstreamer (0.12.1-1build1) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2

 -- Iain Lane <laney@ubuntu.com>  Mon, 27 Aug 2012 12:15:43 +0000

haskell-gstreamer (0.12.1-1) unstable; urgency=low

  * New upstream release
  * patches/add-Eq-constraint: Make it compile with ghc-7.4.1

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 23:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,26 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 7)
   , cdbs
-  , haskell-devscripts (>= 0.7)
-  , ghc6
-  , ghc6-prof
-  , libghc6-mtl-dev
-  , libghc6-mtl-prof
-  , libghc6-glib-dev (>= 0.11)
-  , libghc6-glib-dev (<< 0.12)
-  , libghc6-glib-prof
+  , haskell-devscripts (>= 0.8)
+  , ghc
+  , ghc-prof
+  , libghc-mtl-dev
+  , libghc-mtl-prof
+  , libghc-glib-dev (>= 0.12)
+  , libghc-glib-dev (<< 0.13)
+  , libghc-glib-prof
   , libgstreamer0.10-dev
   , gtk2hs-buildtools
   , libgstreamer-plugins-base0.10-dev
-Build-Depends-Indep: ghc6-doc
-  , libghc6-mtl-doc
-  , libghc6-glib-doc
+Build-Depends-Indep: ghc-doc
+  , libghc-mtl-doc
+  , libghc-glib-doc
 Standards-Version: 3.8.4
 Homepage: http://hackage.haskell.org/package/gstreamer
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gstreamer
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gstreamer
 
-Package: libghc6-gstreamer-dev
+Package: libghc-gstreamer-dev
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -43,7 +43,7 @@
  it supports range from simple OggVorbis playback, audiovideo streaming to
  complex audio (mixing) and video (non-linear editing) processing.
 
-Package: libghc6-gstreamer-prof
+Package: libghc-gstreamer-prof
 Architecture: any
 Depends: ${haskell:Depends}
   , ${misc:Depends}
@@ -60,7 +60,7 @@
  it supports range from simple OggVorbis playback, audiovideo streaming to
  complex audio (mixing) and video (non-linear editing) processing.
 
-Package: libghc6-gstreamer-doc
+Package: libghc-gstreamer-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${haskell:Depends}

## haskell-gstreamer 0.12.1.2

=== debian/changelog ===
haskell-gstreamer (0.12.1.2-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:18 +0200

haskell-gstreamer (0.12.1.2-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:45 +0200

haskell-gstreamer (0.12.1.2-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 26 Nov 2012 10:56:09 +0100

=== debian/control ===
Source: haskell-gstreamer
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libgstreamer0.10-dev
  , gtk2hs-buildtools
  , libgstreamer-plugins-base0.10-dev
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/gstreamer
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gstreamer
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gstreamer

Package: libghc-gstreamer-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgstreamer0.10-dev
  , libgstreamer-plugins-base0.10-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GStreamer open source multimedia framework${haskell:ShortBlurb}
 This package provides a wrapper around the GStreamer C library. GStreamer is a
 library for constructing graphs of media-handling components. The applications
 it supports range from simple OggVorbis playback, audiovideo streaming to
 complex audio (mixing) and video (non-linear editing) processing.
 .
 ${haskell:Blurb}

Package: libghc-gstreamer-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GStreamer open source multimedia framework${haskell:ShortBlurb}
 This package provides a wrapper around the GStreamer C library. GStreamer is a
 library for constructing graphs of media-handling components. The applications
 it supports range from simple OggVorbis playback, audiovideo streaming to
 complex audio (mixing) and video (non-linear editing) processing.
 .
 ${haskell:Blurb}

Package: libghc-gstreamer-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the GStreamer open source multimedia framework${haskell:ShortBlurb}
 This package provides a wrapper around the GStreamer C library. GStreamer is a
 library for constructing graphs of media-handling components. The applications
 it supports range from simple OggVorbis playback, audiovideo streaming to
 complex audio (mixing) and video (non-linear editing) processing.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|gstreamer-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/gstreamer \
    ([\d\.]*\d)/
